package com.jpsoft.shinestar.modules.base.dao;

import com.jpsoft.shinestar.modules.base.entity.EmployeeInfo;
import com.jpsoft.shinestar.modules.common.dto.Sort;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

@Repository
public interface EmployeeInfoDAO {
	int insert(EmployeeInfo entity);
	int update(EmployeeInfo entity);
	int exist(Long id);
	EmployeeInfo get(Long id);
	int delete(Long id);
	List<EmployeeInfo> list();
	List<EmployeeInfo> search(Map<String, Object> searchParams, List<Sort> sortList);
	List<EmployeeInfo> findByArray(String[] array);
	EmployeeInfo findByOpenId(String openId);
}